<script>
    function readCookie(name) {
        name += '=';
        for (var ca = document.cookie.split(/;\s*/), i = ca.length - 1; i >= 0; i--)
            if (!ca[i].indexOf(name))
                return ca[i].replace(name, '');
    }

    document.addEventListener("DOMContentLoaded", function (e) {
        const imageName = readCookie('path')
        const extension = readCookie('path').substring(readCookie('path').lastIndexOf('.') + 1);
        // document.body.innerHTML = "<img id='rawImage' src='/static/images/" + imageName + "." + extension + "'>" + document.body.innerHTML;
        //envoi de l'image vers l'api pour le traitement
        const formData = new FormData();
        formData.append("raw_image_name", imageName);
        formData.append("file_extension", extension);
        var oReq = new XMLHttpRequest();
        oReq.open("POST", "/success", true);
        oReq.onload = function (oEvent) {
            if (oReq.status == 200) {
                const jsonRes = JSON.parse(oReq.response);
                document.body.innerHTML = "<img id='rawImage' src='/static/images/" + imageName + "." + extension + "'>" + document.body.innerHTML;
                // for (let i = 0;i < jsonRes.length;i++){
                //     document.body.innerHTML += "<img id='rawImage' src='/static/images/" + imageName + i + '.' + extension + "'>";
                //     document.body.innerHTML += jsonRes[i] + "<br>";
                // }
            } else {
                console.log("Error occurred when trying to upload your file.<br \/>");
            }
        };
        console.log("Sending file!")
        oReq.send(formData);

    });
</script>

<div>
    {% for pred in predictions %}
    <p>{{pred}}</p>
    {% endfor %}
</div>

<style>
    img {
        padding: 1%;
    }
    body{
        font-size: 30px;
    }
</style>
